NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Protected Attributes | List of all members
NeuralEngine::ThreadSafeQueue< Element > Class Template Reference
Collaboration diagram for NeuralEngine::ThreadSafeQueue< Element >:
[legend]

## Public Member Functions
virtual | ~ThreadSafeQueue ()
| ThreadSafeQueue (size_t maxNumElements=0)
size_t | GetMaxNumElements () const
size_t | GetNumElements () const
bool | Push (Element const &element)
bool | Pop (Element &element)

## Protected Attributes
size_t | mMaxNumElements
std::queue< Element > | mQueue
std::mutex | mMutex

## Detailed Description

template<typename Element>
class NeuralEngine::ThreadSafeQueue< Element >

Definition at line 21 of file NeThreadSafeQueue.h.

## Constructor & Destructor Documentation

## ◆ ~ThreadSafeQueue()

template<typename Element >

ThreadSafeQueue::~ThreadSafeQueue | ( |  | ) |
| virtual

File: NECore/Threading/ThreadSafeQueue.inl

Author:
Email:
Site:

Copyright (c) 2016 . All rights reserved.

Definition at line 12 of file NeThreadSafeQueue.inl.

## ◆ ThreadSafeQueue()

template<typename Element >

ThreadSafeQueue::ThreadSafeQueue | ( | size_t | maxNumElements = `0` | ) |

Definition at line 17 of file NeThreadSafeQueue.inl.

## Member Function Documentation

## ◆ GetMaxNumElements()

template<typename Element >

size_t ThreadSafeQueue::GetMaxNumElements | ( |  | ) | const

Definition at line 24 of file NeThreadSafeQueue.inl.

## ◆ GetNumElements()

template<typename Element >

size_t ThreadSafeQueue::GetNumElements | ( |  | ) | const

Definition at line 36 of file NeThreadSafeQueue.inl.

## ◆ Push()

template<typename Element >

bool ThreadSafeQueue::Push | ( | Element const & | element | ) |

Definition at line 48 of file NeThreadSafeQueue.inl.

## ◆ Pop()

template<typename Element >

bool ThreadSafeQueue::Pop | ( | Element & | element | ) |

Definition at line 68 of file NeThreadSafeQueue.inl.

## Member Data Documentation

## ◆ mMaxNumElements

template<typename Element >

size_t NeuralEngine::ThreadSafeQueue< Element >::mMaxNumElements
| protected

Definition at line 35 of file NeThreadSafeQueue.h.

## ◆ mQueue

template<typename Element >

std::queue<Element> NeuralEngine::ThreadSafeQueue< Element >::mQueue
| protected

Definition at line 36 of file NeThreadSafeQueue.h.

## ◆ mMutex

template<typename Element >

std::mutex NeuralEngine::ThreadSafeQueue< Element >::mMutex
| mutable protected

Definition at line 37 of file NeThreadSafeQueue.h.

The documentation for this class was generated from the following files:

- NeThreadSafeQueue.h
- NeThreadSafeQueue.inl